Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezform/xmlrpc/formlist.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: formlist.php 6216 2001-07-19 13:03:50Z jakobn $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27
28 // include_once( "ezform/classes/ezform.php" );
29
30 $forms = array();
31
32 $formList =& eZForm::getAll( 0, false );
33 foreach ( $formList as $form )
34 {
35 $forms[] = new eZXMLRPCStruct( array( "URL" => createURLStruct( "ezform",
36 "form",
37 $form->id() ),
38 "Name" => new eZXMLRPCString( $form->name() ) ) );
39 }
40
41 $part_arr = array( "Offset" => new eZXMLRPCInt( 0 ),
42 "Total" => new eZXMLRPCInt( count( $formList ) ),
43 "Begin" => new eZXMLRPCBool( true ),
44 "End" => new eZXMLRPCBool( true ) );
45 $part = new eZXMLRPCStruct( $part_arr );
46
47 $ReturnData = new eZXMLRPCStruct( array( "Catalogues" => array(),
48 "Elements" => $forms,
49 "Part" => $part ) ); // array starting with top level catalogue, ending with parent.
50
51 ?>
eZForm\getAll
static & getAll( $offset=0, $limit=20)
Definition: ezform.php:209
eZXMLRPCBool
Definition: ezxmlrpcbool.php:37
eZXMLRPCInt
Definition: ezxmlrpcint.php:37
eZXMLRPCString
Definition: ezxmlrpcstring.php:37
eZXMLRPCStruct
Definition: ezxmlrpcstruct.php:37
$ReturnData
$ReturnData
Definition: ezform/xmlrpc/formlist.php:47
$formList
$formList
Definition: ezform/xmlrpc/formlist.php:32
$part_arr
foreach( $formList as $form) $part_arr
Definition: ezform/xmlrpc/formlist.php:41
$forms
$forms
Definition: ezform/xmlrpc/formlist.php:30
$part
$part
Definition: ezform/xmlrpc/formlist.php:45
$form
$form
Definition: formedit.php:46
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.